Subject: bug#54191: 26.3; (elisp) `Magic File Names' FILENAME parameters: absolute names?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Feb 2022 15:46:50 +0200

> From: Drew Adams <[email-masked]>
> Date: Sun, 27 Feb 2022 21:30:22 +0000
> 
> I check this Elisp manual node for `file-remote-p'.  I try to figure out
> just what kind of file name is expected by the function.  No clue.  Same
> thing when I check the `C-h f' help (where the arg is called FILE).
> 
> How am I to know what kind of file name needs to be passed to this
> function, e.g., whether I might need to first use `expand-file-name'?
> 
> There might be more nodes with this problem under node `Files'; dunno.
> But at least please check this node and make its occurrences of FILENAME
> parameters clear in this regard.
> ___
> 
> >From the `C-h f' help I follow the files.el link to the `file-remote-p'
> definition.  There I see that `find-file-name-handler' accepts the arg
> FILE.  So the question then becomes what kind of file name (absolute or
> not) is expected/accepted by `find-file-name-handler'.

The first paragraph of the node "Magic File Names" says:

  The principal use for this feature is in implementing access to
  remote files (*note Remote Files: (emacs)Remote Files.).

Did you follow the cross-reference?  Because there you'd find the
answer to your question, loud and clear.